# ---+ Extensions
# ---++ PageOptimizerPlugin
# This is the configuration used by the <b>PageOptimizerPlugin</b>.

# **BOOLEAN**
# If enabled, the final markup as generated by foswiki is cleaned up.
# Disable this flag for debugging foswiki's own html output.
$Foswiki::cfg{PageOptimizerPlugin}{CleanUpHTML} = 1;

# **BOOLEAN**
# If enabled, all JavaScript files will be combined and cached into one file.
$Foswiki::cfg{PageOptimizerPlugin}{OptimizeJavaScript} = 0;

# **BOOLEAN**
# If enabled, all stylesheets will be combined and cached into one file.
$Foswiki::cfg{PageOptimizerPlugin}{OptimizeStylesheets} = 1;

# **BOOLEAN**
# If enabled, the plugin will gather statistics about which css and js files
# have been combined into a single cache file. This information can be
# retrieved using the <code>statistics</code> rest handler of the
# PageOptimizerPlugin to be reviewed for further optimization of which assets
# shall be combined and which ones should stay separate for better cache
# reusage.
$Foswiki::cfg{PageOptimizerPlugin}{GatherStatistics} = 0;

# **REGEX**
# This regular expression lets you specify a pattern matching JavaScript files to
# be excluded from caching. For instance, TinyMCEPlugin is known to break when
# processed by the optimizer.
$Foswiki::cfg{PageOptimizerPlugin}{ExcludeJavaScript} = 'TinyMCEPlugin|hyphenator';

# **REGEX**
# This regular expression lets you specify a pattern matching style sheets to
# be excluded from caching. 
$Foswiki::cfg{PageOptimizerPlugin}{ExcludeCss} = '';

# **URLPATH CHECK="emptyok undefok"**
# Url path where optimized javascript and css is located. Note this has to match
# the PATH parameter below.
$Foswiki::cfg{PageOptimizerPlugin}{CachePath} = '';

# **PATH CHECK="emptyok undefok"**
# File path where optimized javascript and css is stored. Note this has to
# match the URL parameter above.
$Foswiki::cfg{PageOptimizerPlugin}{CacheDir} = '';

1;
